import { AnyConfig } from '../config.js';
import GridData from '../grid.js';
import { State } from '../primitives.js';
import Symbol from './symbol.js';
export default class LetterSymbol extends Symbol {
    readonly x: number;
    readonly y: number;
    readonly letter: string;
    private static readonly CONFIGS;
    private static readonly EXAMPLE_GRID;
    /**
     * **Letters must be sorted into one type per area**
     *
     * @param x - The x-coordinate of the symbol.
     * @param y - The y-coordinate of the symbol.
     * @param letter - The letter of the symbol.
     */
    constructor(x: number, y: number, letter: string);
    get id(): string;
    get explanation(): string;
    get configs(): readonly AnyConfig[] | null;
    createExampleGrid(): GridData;
    validateSymbol(grid: GridData): State;
    copyWith({ x, y, letter, }: {
        x?: number;
        y?: number;
        letter?: string;
    }): this;
    withLetter(letter: string): this;
}
export declare const instance: LetterSymbol;
